# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           openyahtzee
Version:        1.9.3
Release:        alt5_17
Summary:        Open-source version of the classic dice game Yahtzee
Group:          Games/Boards
License:        GPLv2
URL:            http://www.openyahtzee.org/
Source0:        https://download.sourceforge.net/openyahtzee/%{name}-%{version}.tar.xz
BuildRequires:  boost-complete
BuildRequires:  libwxBase3.2-devel libwxGTK3.2-devel
Source44: import.info

%description
Open Yahtzee is an open-source version of the classic dice game Yahtzee.
The goal is to score as many points as possible by rolling different dice
combinations.

%prep
%setup -q


# fix build with wxgtk >= 3.1.2
sed -i -e 's,wxADJUST_MINSIZE,0,g' src/about.cpp

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6*


%changelog
* Thu Sep 14 2023 Igor Vlasenko <viy@altlinux.org> 1.9.3-alt5_17
- rebuild with wxGTK3.2

* Tue Aug 02 2022 Igor Vlasenko <viy@altlinux.org> 1.9.3-alt4_17
- update by mgaimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.9.3-alt4_16
- update by mgaimport

* Fri Apr 15 2022 Igor Vlasenko <viy@altlinux.org> 1.9.3-alt4_15
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.9.3-alt4_14
- update by mgaimport

* Thu Jan 20 2022 Igor Vlasenko <viy@altlinux.org> 1.9.3-alt4_13
- update by mgaimport

* Tue Jul 13 2021 Cronbuild Service <cronbuild@altlinux.org> 1.9.3-alt4_10
- rebuild to get rid of unmets

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt3_10
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt3_9
- update by mgaimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 1.9.3-alt3_8
- rebuild to get rid of unmets

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt2_8
- update by mgaimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt2_7
- update by mgaimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt2_6
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt2_4
- update by mgaimport

* Thu Aug 17 2017 Cronbuild Service <cronbuild@altlinux.org> 1.9.3-alt2_3
- rebuild to get rid of unmets

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt1_3
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt1_2
- converted for ALT Linux by srpmconvert tools

